Arch Floor/ja: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 31: Line 31:
</div>
</div>


As of {{VersionPlus|0.18}} the Arch Floor is derived entirely from the [[Arch BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.
As of {{VersionPlus|0.18}} the Arch Floor is derived entirely from the [[Arch_BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.


<span id="Usage"></span>
<span id="Usage"></span>
Line 51: Line 51:


An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Type}} set to {{incode|"Building Storey"}}.
An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Type}} set to {{incode|"Building Storey"}}.

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 59: Line 61:
Floorツールは、[[macros|マクロ]]やPythonコンソールから次の関数を使って使うことができます:
Floorツールは、[[macros|マクロ]]やPythonコンソールから次の関数を使って使うことができます:
</div>
</div>

{{Code|code=
{{Code|code=
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")

Latest revision as of 07:31, 13 June 2024

THIS COMMAND IS PART OF THE INTEGRATED BIM WORKBENCH IN V1.0
This page has been updated for that version.

Arch Floor

メニューの場所
Arch → Floor
ワークベンチ
Arch
デフォルトのショートカット
F L
バージョンで導入
-
も参照してください
Arch Building, Arch BuildingPart, Arch Site

説明

Arch Floorは床を作成するのに特に便利な追加プロパティを持った特殊なタイプのです。特徴的なのがheightプロパティを持っていることで、その子オブジェクト(骨組み)ではそれを使ってその高さを自動で設定することができます。

As of version 0.18 and above the Arch Floor is derived entirely from the Arch BuildingPart object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing Convert to BuildingPart.

使用方法

#オプションで、新しいフロアに含める1つ以上のオブジェクトを選択します # Arch Floorボタンを押すか、 F、その後 Lキーを押します

オプション

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

プロパティ

An Arch Floor object shares all properties from an Arch BuildingPart, with the データIfc Type set to "Building Storey".

Scripting

スクリプト処理

Floorツールは、マクロやPythonコンソールから次の関数を使って使うことができます:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

例題:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()